
QGIS Application - Feature request #1603

WMS Basic Authentication

2009-03-30 09:08 PM - Gary Sherman

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Web Services clients/WMS

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 11663

Description

Add basic HTTP authentication to the WMS provider to allow adding password protected services.

History

#1 - 2009-03-31 06:04 PM - dmorissette -

That shouldn't be too hard to add, there is already a setUser() method in the QHttp class that could be used to pass the user/password.

#2 - 2009-04-11 08:11 AM - Gary Sherman

I'm looking into this...

#3 - 2009-04-17 03:58 PM - Gary Sherman

- Status changed from Open to In Progress

Work is underway on implementing this feature.

#4 - 2009-04-20 05:04 PM - aboudreault -

Hi Gary. I have applied the patch in QGis 1.0.1 to test it. It works perfectly.

#5 - 2009-04-20 06:39 PM - dmorissette -

Thanks Alan.

What are the chances of getting this in SVN trunk before the 1.1 branch is created?

#6 - 2009-04-21 12:48 AM - Tim Sutton

- Status changed from In Progress to Closed

- Resolution set to fixed

I committed this as commit:6e577fa1 (SVN r10609) (with apologies to translators).
#7 - 2009-08-22 01:03 AM - Anonymous

Milestone Version 1.1.0 deleted

Files

patch_to_1603.diff 15.3 KB 2009-04-18 Jürgen Fischer
